# $Revision: 1.29 $, $Date: 2011/03/31 18:11:02 $
Summary:	MySQL module for Ruby
Summary(pl.UTF-8):	Moduł MySQL dla języka Ruby
Name:		mysql-ruby
Version:	2.8.2
Release:	4
License:	GPL
Group:		Development/Languages
Source0:	http://tmtm.org/downloads/mysql/ruby/%{name}-%{version}.tar.gz
# Source0-md5:	eb998b89b7e391cffe0a1f84bd426f9b
Patch0:		%{name}-amd64.patch
Patch1:		%{name}-encoding.patch
URL:		http://www.tmtm.org/mysql/ruby/
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Provides:	ruby-mysql-library
Conflicts:	ruby-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL module for Ruby.

%description -l pl.UTF-8
Moduł MySQL dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
ruby extconf.rb \
	--with-mysql-config

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc --ri --op ri
rdoc --op rdoc
rm -r ri/Object
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__make} install \
	archdir=$RPM_BUILD_ROOT%{ruby_archdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{ruby_archdir}/mysql.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mysql
%{ruby_ridir}/TC_Mysql*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql-ruby.spec,v $
Revision 1.29  2011/03/31 18:11:02  arekm
- release 4

Revision 1.28  2010/05/13 16:06:32  sparky
- BR: ruby-devel

Revision 1.27  2010/03/09 16:35:00  baggins
- rel 3
- Add basic encoding aware logic. Convert all data to default external encoding

Revision 1.26  2010/03/09 11:57:38  baggins
- rel 2
- too many obsoletes

Revision 1.25  2010/03/09 11:55:29  baggins
- up to 2.8.2
- added rdoc and ri packages

Revision 1.24  2008/03/16 21:43:15  aredridel
- remove duplicate ri files

Revision 1.23  2007-12-31 11:12:53  glen
- convert utf8

Revision 1.22  2007-08-08 20:39:33  koorek
- small fix reported by Przemysław Zając

Revision 1.21  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.19  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.18  2005/12/31 10:36:32  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.17  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.16  2005/12/27 09:02:55  twittner
- fix previous commit - script is a bit to aggressive

Revision 1.15  2005/12/27 08:54:13  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.14  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.13  2005/10/29 19:57:32  aredridel
- rel 2 for rebuild
- STBR

Revision 1.12  2005/09/27 00:29:55  aredridel
- added amd64 integer size patch

Revision 1.11  2005/08/27 18:48:57  aredridel
- up to 2.7

Revision 1.10  2005/08/15 09:07:00  qboosh
- updated Source0 URL

Revision 1.9  2005/05/11 22:39:47  aredridel
- up to 2.6

Revision 1.8  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.7  2004/11/08 19:48:45  aredridel
- update for ruby-mysql alternatives

Revision 1.6  2004/11/05 23:14:17  aredridel
- changed name
- added obsoletes/conflicts

Revision 1.5  2004/10/30 22:50:07  aredridel
- up to 2.5.1
- works with new libmysqlclient

Revision 1.4  2004/08/24 07:42:53  aredridel
- added ri docs

Revision 1.3  2004/08/24 06:54:06  qboosh
- pass optflags
- commented out ridir stuff - not packaged and there is no ruby_ridir definition

Revision 1.2  2004/08/24 06:39:42  qboosh
- .so perms, ruby-static no longer needed

Revision 1.1  2004/08/22 07:06:18  aredridel
- up to 2.4.5
- moved from ruby-mysql.spec

Revision 1.12  2003/12/23 00:57:52  aredridel
- change path to archdir, not sitearchdir
- BR: ruby-devel
- install properly

Revision 1.11  2003/09/10 14:43:30  ankry
- really rel. 2

Revision 1.10  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.9  2003/05/28 13:01:42  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/07/18 15:25:24  kloczek
- cosmetics.

Revision 1.6  2002/07/17 11:55:50  wiget
- install module in sitedir like other optional packages
- use macros

Revision 1.5  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 13:44:26  qboosh
- adapterized, added pl summaries, cosmetics

Revision 1.2  2002/02/02 23:01:02  lukasz
- spec adapterized and few cosmetics.

Revision 1.1  2002/02/02 22:49:19  lukasz
- 2.4.2
- initial release
